Qt 5.6 | Qt 3D | C++ Classes | QRenderAttachment

Qt 5.6.3 Reference Documentation

# QRenderAttachment Class

(Qt3DRender::QRenderAttachment)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Types

enum | CubeMapFace { CubeMapPositiveX, CubeMapNegativeX, CubeMapPositiveY, CubeMapNegativeY, CubeMapPositiveZ, CubeMapNegativeZ }
enum | RenderAttachmentType { ColorAttachment0, ColorAttachment1, ColorAttachment2, ColorAttachment3, ..., DepthStencilAttachment }

## Properties

- face : CubeMapFace
- layer : int
- mipLevel : int

- name : QString
- texture : Qt3DRender::QAbstractTextureProvider *
- type : RenderAttachmentType

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderAttachment(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QRenderAttachment()
CubeMapFace | face() const
int | layer() const
int | mipLevel() const
QString | name() const
QAbstractTextureProvider * | texture() const
RenderAttachmentType | type() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setFace(CubeMapFace face)
void | setLayer(int layer)
void | setMipLevel(int level)
void | setName(const QString &name)
void | setTexture(QAbstractTextureProvider *texture)
void | setType(RenderAttachmentType type)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | faceChanged(CubeMapFace face)
void | layerChanged(int layer)
void | mipLevelChanged(int mipLevel)
void | nameChanged(const QString &name)
void | textureChanged(QAbstractTextureProvider *texture)
void | typeChanged(RenderAttachmentType type)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QRenderAttachment(QRenderAttachmentPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QRenderAttachment::CubeMapFace

### enum QRenderAttachment::RenderAttachmentType

## Property Documentation

### face : CubeMapFace

Access functions:

CubeMapFace | face() const
void | setFace(CubeMapFace face)

Notifier signal:

void | faceChanged(CubeMapFace face)

### layer : int

Access functions:

int | layer() const
void | setLayer(int layer)

Notifier signal:

void | layerChanged(int layer)

### mipLevel : int

Access functions:

int | mipLevel() const
void | setMipLevel(int level)

Notifier signal:

void | mipLevelChanged(int mipLevel)

### name : QString

Access functions:

QString | name() const
void | setName(const QString &name)

Notifier signal:

void | nameChanged(const QString &name)

### texture : Qt3DRender::QAbstractTextureProvider *

Access functions:

QAbstractTextureProvider * | texture() const
void | setTexture(QAbstractTextureProvider *texture)

Notifier signal:

void | textureChanged(QAbstractTextureProvider *texture)

### type : RenderAttachmentType

Access functions:

RenderAttachmentType | type() const
void | setType(RenderAttachmentType type)

Notifier signal:

void | typeChanged(RenderAttachmentType type)

## Member Function Documentation

### QRenderAttachment::QRenderAttachment(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QRenderAttachment.

### `[protected]` QRenderAttachment::QRenderAttachment(QRenderAttachmentPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QRenderAttachment::~QRenderAttachment()

Destroys the instance of QRenderAttachment.

### `[protected]` void QRenderAttachment::copy(const Qt3DCore::QNode *ref)